{% extends "admin/change_form.html" %}
{% load i18n static %}
{% load permissions %}


{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="{% url 'admin:index' %}">{% trans 'Home' %}</a>
        &rsaquo;
        <a href="{% url 'custom_admin:index' %}">{% trans 'Permissions' %}</a>
        &rsaquo;
        {{ model_name }}
    </div>
{% endblock %}

{% block bodyclass %} {{ block.super }} app-perms model-1 change-form{% endblock %}

{% block content %}
    {% block object-tools %} {% endblock %}
    <form method="post" novalidate>
        {% csrf_token %}
        <table style="width: 100%">
            <thead>
                <th class="column-name">Поле</th>
                {% for group in groups %}
                    <th class="column-name"> {{ group }}</th>
                {% endfor %}
            </thead>
            <tbody>
                {% for field in fieldset %}
                    <tr class="form-row">
                        <td class="field-box" style="width: 300px">{{ field.name }}{% if field.verbose_name %}<br>({{ field.verbose_name }}) {% endif %}</td>
                        {% for group in groups %}
                            <td class="field-box">
                                <input name="{{ field.name }}:{{group}}:create" type="checkbox" {% checked permissions app_name model_name field.name group "create" %}> Добавление<br>
                                <input name="{{ field.name }}:{{group}}:read" type="checkbox" {% checked permissions app_name model_name field.name group "read" %}> Просмотр<br>
                                <input name="{{ field.name }}:{{group}}:update" type="checkbox" {% checked permissions app_name model_name field.name group "update" %}> Редактирование<br>
                                <input name="{{ field.name }}:{{group}}:delete" type="checkbox" {% checked permissions app_name model_name field.name group "delete" %}> Удаление
                            </td>
                        {% endfor %}
                    </tr>
                {% endfor %}
            </tbody>
        </table>
        <input type="submit" value="{% trans 'Save' %}">
    </form>

{% endblock %}


{% block sidebar %}{% endblock %}
